%define _pseudouser_user     _3proxy
%define _pseudouser_group    _3proxy
#define _pseudouser_home     %_localstatedir/_3proxy
%define _pseudouser_home     /

Name: 3proxy
Version: 0.5.3k
Release: alt3.M40.1

Summary: Proxy server

License: GPL
Group: System/Servers
Url: http://securityvulns.ru/soft/


Source: %name-%version.tar
Source1: 3proxy.init
Source2: 3proxy.conf
Source3: 3proxy.sysconfig
Source4: README-ALT.CP1251
Source5: README-ALT.UTF8

Patch: %name-%version-%release.patch

Packager: Afanasov Dmitry <ender@altlinux.org>

%description
3proxy -- light proxy server. 

%prep
%setup -q 
%patch -p1

%build
%make_build -f Makefile.unix
cp %SOURCE5 %SOURCE4 ./

%install
mkdir -p %buildroot%_sysconfdir
mkdir -p %buildroot%_sysconfdir
mkdir -p %buildroot%_man3dir
mkdir -p %buildroot%_man8dir
mkdir -p %buildroot%_initdir
mkdir -p %buildroot%_logdir/%name
mkdir -p %buildroot%_var/run/%name
install -m755 -D src/3proxy %buildroot%_bindir/3proxy
install -m755 -D src/dighosts %buildroot%_bindir/dighosts
install -m755 -D src/ftppr %buildroot%_bindir/ftppr
install -m755 -D src/mycrypt %buildroot%_bindir/mycrypt
install -m755 -D src/pop3p %buildroot%_bindir/pop3p
install -m755 -D src/3proxy %buildroot%_bindir/3proxy
install -m755 -D src/proxy %buildroot%_bindir/proxy
install -m755 -D src/socks %buildroot%_bindir/socks
install -m755 -D src/tcppm %buildroot%_bindir/tcppm
install -m755 -D src/udppm %buildroot%_bindir/udppm
install -pD -m755 %SOURCE1 %buildroot%_initdir/%name
install -pD -m644 %SOURCE3 %buildroot%_sysconfdir/sysconfig/3proxy
install -m644 %SOURCE2 %buildroot%_sysconfdir/3proxy.conf

install -pD -m644 man/*.3 %buildroot%_man3dir
install -pD -m644 man/*.8 %buildroot%_man8dir

%pre
/usr/sbin/groupadd -r -f %_pseudouser_group ||:
/usr/sbin/useradd -g %_pseudouser_group -c 'The 3proxy daemon' \
        -d %_pseudouser_home -s /dev/null -r %_pseudouser_user >/dev/null 2>&1 ||:

%preun
%preun_service %name

%post
%post_service %name

%files
%_bindir/*
%config(noreplace) %_sysconfdir/3proxy.conf
%config(noreplace) %_sysconfdir/sysconfig/3proxy
%_initdir/%name
%_man3dir/*
%_man8dir/*
%attr(775, root, %_pseudouser_group) %_logdir/%name
%attr(775, root, %_pseudouser_group) %_var/run/%name
%doc Changelog License Release.notes Readme README-ALT*

%changelog
* Thu May 21 2009 Eugene Prokopiev <enp@altlinux.ru> 0.5.3k-alt3.M40.1
backport to branch/4.0

* Wed Dec 03 2008 Afanasov Dmitry <ender@altlinux.org> 0.5.3k-alt4
- add README-ALT.*
- set default user to root untill #11942 be fixed

* Tue Dec 02 2008 Afanasov Dmitry <ender@altlinux.org> 0.5.3k-alt3
- fix typo in initscript (Closes: #18066)
- move initscript vars to /etc/sysconfig/3proxy (e.g. username)
- remove setuid root checks from setuid patch

* Tue Nov 25 2008 Afanasov Dmitry <ender@altlinux.org> 0.5.3k-alt2
- fix bugs:
  + new initscript (#11944, #11943)
  + do not replace config (#12032)
  + pack man pages (#12032)
  + run daemon as pseudouser (#11942)

* Tue Nov 18 2008 Afanasov Dmitry <ender@altlinux.org> 0.5.3k-alt1
- new version

* Fri Apr 13 2007 Lunar Child <luch@altlinux.ru> 0.5.3h-alt1
- new version

* Wed Mar 21 2007 Lunar Child <luch@altlinux.ru> 0.5.3g-alt2
- Added init script.
- Added new trivial config file.

* Tue Mar 20 2007 Lunar Child <luch@altlinux.ru> 0.5.3g-alt1
- First build for ALT Linux Sisyphus
